=== debian/watch ===
version=4

opts=pasv,pgpsigurlmangle=s/$/.gpg2/ ftp://ftp.porcupine.org/mirrors/postfix-release/official/postfix-(3\.7\.[\d+\.]+)\.tar\.gz
