## postfix 3.8.1

=== debian/changelog ===
postfix (3.8.1-2ubuntu0.2) mantic-security; urgency=medium

  * SECURITY UPDATE: SMTP smuggling (LP: #2049337)
    - debian/patches/CVE-2023-51764-2.patch: improved fix with reduced
      risks of regression. Introduced
      "smtpd_forbid_bare_newline = normalize".
    - CVE-2023-51764

 -- Allen Huang <allen.huang@canonical.com>  Tue, 30 Jan 2024 15:39:43 +0800

postfix (3.8.1-2ubuntu0.1) mantic-security; urgency=medium

  * SECURITY UPDATE: SMTP smuggling (LP: #2049337)
    - debian/patches/CVE-2023-51764.patch: introduced
      `smtpd_forbid_bare_newline`. With "smtpd_forbid_bare_newline = yes",
      the Postfix SMTP server disconnects a remote SMTP client that
      sends a line ending in a 'bare newline'.
    - CVE-2023-51764

 -- Allen Huang <allen.huang@canonical.com>  Fri, 19 Jan 2024 12:30:34 +0000

postfix (3.8.1-2) unstable; urgency=medium

  [Scott Kitterman]

  * Delete debian/patches/02_kfreebsd_support.diff, no longer needed
  * Drop debian/patches/04_remove_gdbm_support.diff, obsolete
  * Add/update patch headers, particularly Forwarded status
  * Rename collate.pl patch to 71_debianize_collate.pl.diff
  * Fix spelling error in d/changelog
  * Do not use full path for ypcat and update-inetd in postinst and
    suidunregister in preinst
  * Update debconf templates
  * Correct regression that caused postfix set-permissions to fail (Closes:
    #1040329)
    - Restore and update debian/patches/05_debian_manpage_differences.diff
    - Restore and update debian/patches/05_debian_readme_differences.diff
  * Update autopkgtest to test postfix set-permissions

  [localization folks]

  * l10n: Add Romanian debconf translations.  Closes: #1039560 (Remus-Gabriel

 -- Scott Kitterman <scott@kitterman.com>  Thu, 06 Jul 2023 00:18:21 -0400

postfix (3.8.1-1) unstable; urgency=medium

  [Christian Göttsche]

  * Bump _FORTIFY_SOURCE to level 3
  * Enable stack clash protection

  [Scott Kitterman]

  * Refresh and update patches for 3.8.1
  * Update default master.cf for new installs to comment out maildrop and
    external delivery methods to match upstream, these all require additional
    configuration.  Closes: #1033346
  * Delete unconditional call to fix_master and clarify wording of main.cf
    status message in postfix.postinst.  Closes: #1035350
  * Minor wording improvements in d/po/templates.pot.  Closes: #1028095

  [Wietse Venema]

  * 3.8.0 (Closes: #1036161)
  * 3.8.1

 -- Scott Kitterman <scott@kitterman.com>  Sat, 10 Jun 2023 09:31:37 -0400
