=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: postfix
 Section: mail
 Priority: optional
-Maintainer: LaMont Jones <lamont@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
