=== debian/rules ===
--- 
+++ 
@@ -53,6 +53,10 @@
 
 DOCFILES=README_FILES/*_README README_FILES/OVERVIEW COMPATIBILITY PORTING
 TLSDOCFILES=${TLSSRC}/TLS_TODO ${TLSSRC}/TLS_ACKNOWLEDGEMENTS
+
+# Extra hardening flags
+export DEB_CPPFLAGS_MAINT_APPEND = -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=3
+export DEB_CFLAGS_MAINT_APPEND = -fstack-clash-protection
 
 
 %:
@@ -192,6 +196,3 @@
 	install -m 644 debian/postfix@.service ${base}/lib/systemd/system/
 	install -m 644 debian/postfix-resolvconf.* ${base}/lib/systemd/system/
 	install debian/ip-up.d ${base}/etc/ppp/ip-up.d/postfix
-	install debian/ip-down.d ${base}/etc/ppp/ip-down.d/postfix
-	install debian/ip-up.d ${base}/etc/network/if-up.d/postfix
-	install debian/ip-down.d ${base}/etc/network/if-down.d/postfix
