## postfix 3.8.4

=== debian/changelog ===
postfix (3.8.4-1) unstable; urgency=medium

  [Wietse Venema]

  * 3.8.4 Closes: #1059230

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Dec 2023 13:02:36 -0500

postfix (3.8.3-1) unstable; urgency=medium

  [Helmut Grohne]

  * Install units using dh_installsystemd only.  Closes: #1054485

  [Wietse Venema]

  * 3.8.3

 -- Scott Kitterman <scott@kitterman.com>  Thu, 21 Dec 2023 13:43:33 -0500

postfix (3.8.2-1) unstable; urgency=medium

  [Scott Kitterman]

  * Correct 3.8.1-2 debian/changelog entry

  [Wietse Venema]

  * 3.8.2

  [localization folks]

  * l10n: Update Romanian debconf translations. (Remus-Gabriel Chelu)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 14 Sep 2023 14:08:10 -0400
