=== debian/rules ===
--- 
+++ 
@@ -193,6 +193,6 @@
 
 	install debian/configure-instance.sh $(libdir)
 	install debian/postfix-instance-generator ${base}/lib/systemd/system-generators/
-	install -m 644 debian/postfix@.service ${base}/lib/systemd/system/
-	install -m 644 debian/postfix-resolvconf.* ${base}/lib/systemd/system/
 	install debian/ip-up.d ${base}/etc/ppp/ip-up.d/postfix
+	install debian/ip-down.d ${base}/etc/ppp/ip-down.d/postfix
+	install debian/ip-up.d ${base}/etc/network/if-up.d/postfix
