## postfix 3.8.5

=== debian/changelog ===
postfix (3.8.5-1) unstable; urgency=medium

  [Wietse Venema]

  * 3.8.5

  [Christian Göttsche]

  * Drop unnecessary manual hardening CFLAGS, drop unused variables,
    drop obsolete suidunregister handling, and use generic destination
    variable in more places
  * Install systemd generator into canonical directory (Closes: #1059760)
  * Rely on dh_lintian to install Lintian overrides
  * Sort list of AUXLIBS for reproducible builds
  * Add Documentation key to resolvconf service

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Jan 2024 09:47:09 -0500
