=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: postfix
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
+Maintainer: LaMont Jones <lamont@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.postfix.org
-Build-Depends: debhelper-compat (= 13), po-debconf (>= 0.5.0), groff-base, patch, pkg-config, lsb-release, libdb-dev (>=4.6.19), libldap-dev, liblmdb-dev, libpcre2-dev, default-libmysqlclient-dev, libssl-dev (>=1.0.2), libsasl2-dev, libpq-dev, libcdb-dev, dpkg-dev (>= 1.16.1~), libsqlite3-dev, html2text, txt2man, libicu-dev
+Build-Depends: debhelper-compat (= 13), po-debconf (>= 0.5.0), groff-base, patch, pkg-config, lsb-release, libdb-dev (>=4.6.19), libldap-dev, liblmdb-dev, libpcre2-dev, default-libmysqlclient-dev, libssl-dev (>=1.0.2), libsasl2-dev, libpq-dev, libcdb-dev, dpkg-dev (>= 1.16.1~), libsqlite3-dev, html2text, txt2man, libicu-dev, systemd-dev
 Vcs-Browser: https://salsa.debian.org/postfix-team/postfix-dev
 Vcs-Git: https://salsa.debian.org/postfix-team/postfix-dev.git
