## postfix 3.8.6

=== debian/changelog ===
postfix (3.8.6-1build2) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:48:02 +0200

postfix (3.8.6-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:02:05 +0000

postfix (3.8.6-1) unstable; urgency=medium

  [Scott Kitterman]

  * Remove lib/systemd/system-generators from d/postfix.dirs.  Closes: #1059760
  * Update with wrap-and-sort
  * Refactor d/p/Sort-list-of-AUXLIBS-for-reproducible-builds.patch based on
    upstream feedback
  * Mark d/p/Sort-list-of-AUXLIBS-for-reproducible-builds.patch as forwarded
  * Add libnsl-dev to build-depends, split from libc6-dev.  Closes: #1065158
  * Build-depend on pkgconf instead of obsolete pkg-config

  [localization folks]

  * l10n: Updated Swedish debconf translations. (Martin Bagge, Anders
    Jonsson).  Closes: #1061564

  [Wietse Venema]

  * 3.8.6

 -- Scott Kitterman <scott@kitterman.com>  Tue, 05 Mar 2024 10:24:36 -0500
