=== debian/control ===
Source: postfix
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.postfix.org
Build-Depends: debhelper-compat (= 13),
               default-libmysqlclient-dev,
               dpkg-dev (>= 1.16.1~),
               groff-base,
               html2text,
               libcdb-dev,
               libdb-dev (>=4.6.19),
               libicu-dev,
               libldap-dev,
               liblmdb-dev,
               libnsl-dev | libc6-dev (<<2.37-15.1),
               libpcre2-dev,
               libpq-dev,
               libsasl2-dev,
               libsqlite3-dev,
               libssl-dev (>=1.0.2),
               lsb-release,
               patch,
               pkgconf,
               po-debconf (>= 0.5.0),
               systemd-dev,
               txt2man
Vcs-Browser: https://salsa.debian.org/postfix-team/postfix-dev
Vcs-Git: https://salsa.debian.org/postfix-team/postfix-dev.git

Package: postfix
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser (>=3.48),
         cpio,
         dpkg (>= 1.8.3),
         e2fsprogs,
         netbase,
         ssl-cert,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: mail-transport-agent
Recommends: ca-certificates, python3
Suggests: libsasl2-modules | dovecot-common,
          mail-reader,
          postfix-cdb,
          postfix-doc,
          postfix-ldap,
          postfix-lmdb,
          postfix-mta-sts-resolver,
          postfix-mysql,
          postfix-pcre,
          postfix-pgsql,
          postfix-sqlite,
          procmail,
          resolvconf,
          sasl2-bin | dovecot-common,
          ufw
Conflicts: mail-transport-agent, smail
Provides: mail-transport-agent, ${postfix:Provides}
Description: High-performance mail transport agent
 ${Description}

Package: postfix-ldap
Architecture: any
Depends: postfix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: LDAP map support for Postfix
 ${Description}
 .
 This provides support for LDAP maps in Postfix. If you plan to use LDAP maps
 with Postfix, you need this.

Package: postfix-lmdb
Architecture: any
Depends: liblmdb0 (>=0.9.14),
         postfix (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: LMDB map support for Postfix
 ${Description}
 .
 This provides support for LMDB maps in Postfix. If you plan to use LMDB maps
 with Postfix, you need this.

Package: postfix-cdb
Architecture: any
Depends: postfix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: CDB map support for Postfix
 ${Description}
 .
 This provides support for CDB (constant database) maps in Postfix. If you
 plan to use CDB maps with Postfix, you need this.

Package: postfix-pcre
Architecture: any
Depends: postfix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: PCRE map support for Postfix
 ${Description}
 .
 This provides support for PCRE (perl compatible regular expression) maps in
 Postfix. If you plan to use PCRE maps with Postfix, you need this.

Package: postfix-mysql
Architecture: any
Depends: postfix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: MySQL map support for Postfix
 ${Description}
 .
 This provides support for MySQL maps in Postfix. If you plan to use MySQL
 maps with Postfix, you need this.

Package: postfix-pgsql
Architecture: any
Depends: postfix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL map support for Postfix
 ${Description}
 .
 This provides support for PostgreSQL maps in Postfix. If you plan to use
 PostgreSQL maps with Postfix, you need this.

Package: postfix-sqlite
Architecture: any
Depends: postfix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: SQLite map support for Postfix
 ${Description}
 .
 This provides support for SQLite maps in Postfix. If you plan to use
 SQLite maps with Postfix, you need this.

Package: postfix-doc
Architecture: all
Section: doc
Suggests: postfix
Depends: ${misc:Depends}
Description: Documentation for Postfix
 ${Description}
 .
 This package provides the documentation for Postfix.
