=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 sbindir=${base}/usr/sbin
 bindir=${base}/usr/bin
 confdir=${base}/etc/postfix
+sdgendir:=${base}$(shell pkg-config --variable=systemdsystemgeneratordir systemd)
 
 CCARGS += -DDEBIAN \
 	-DHAS_PCRE=2 $(shell pcre2-config --cflags) \
@@ -56,7 +57,6 @@
 
 # Extra hardening flags
 export DEB_CPPFLAGS_MAINT_APPEND = -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=3
-export DEB_CFLAGS_MAINT_APPEND = -fstack-clash-protection
 
 
 %:
@@ -173,9 +173,9 @@
 	install -m 0644 conf/main.cf.debian $(sharedir)/main.cf.debian
 	install -m 0644 conf/main.cf.tls $(sharedir)/main.cf.tls
 	install -m 0644 meta/dynamicmaps.cf $(sharedir)/dynamicmaps.cf
-	install -m644 debian/postfix.ufw.profile debian/postfix/etc/ufw/applications.d/postfix
-	install -m644 debian/rsyslog.conf debian/postfix/etc/rsyslog.d/postfix.conf
-	install -m644 debian/postfix.insserv.conf debian/postfix/etc/insserv.conf.d/postfix
+	install -m644 debian/postfix.ufw.profile ${base}/etc/ufw/applications.d/postfix
+	install -m644 debian/rsyslog.conf ${base}/etc/rsyslog.d/postfix.conf
+	install -m644 debian/postfix.insserv.conf ${base}/etc/insserv.conf.d/postfix
 	txt2man -t postfix-collate -r postfix-$(DEB_VERSION_UPSTREAM) -d '$(shell date -s @$(SOURCE_DATE_EPOCH))' -s 1 auxiliary/collate/README > ${base}/usr/share/man/man1/postfix-collate.1
 	install man/man1/*.1 ${base}/usr/share/man/man1
 	install man/man5/*.5 ${base}/usr/share/man/man5
@@ -192,7 +192,8 @@
 	sed -i s'@.so man8/bounce.8@.so man8/bounce.8postfix@' ${base}/usr/share/man/man8/trace.8postfix ${base}/usr/share/man/man8/defer.8postfix
 
 	install debian/configure-instance.sh $(libdir)
-	install debian/postfix-instance-generator ${base}/lib/systemd/system-generators/
+	install -d -m 755 ${sdgendir}
+	install debian/postfix-instance-generator ${sdgendir}
 	install debian/ip-up.d ${base}/etc/ppp/ip-up.d/postfix
 	install debian/ip-down.d ${base}/etc/ppp/ip-down.d/postfix
 	install debian/ip-up.d ${base}/etc/network/if-up.d/postfix
