=== debian/tests/control ===
Tests: postfix
Depends: libsasl2-modules,
         lsb-release,
         procmail,
         python3,
         python3-pexpect,
         sasl2-bin
Restrictions: needs-root
