## postfix 3.9.0

=== debian/changelog ===
postfix (3.9.0-3) unstable; urgency=medium

  * Replace hard coding of config path for Cyrus SASL in
    d/p/07_sasl_config.diff with setting the Debian location via
    cyrus_sasl_config_path.
  * Update creation of /var/spool/postfix in preinst to include -Z option so
    that SE Linux security context is properly applied when SE Linux is
    actived.  Closes: #781776
  * Bump standards-version to 4.7.0 without further change.
  * Use raw strings in d/tests/testlib.py to fix SyntaxWarnings with Python
    3.12.

 -- Scott Kitterman <scott@kitterman.com>  Thu, 18 Jul 2024 17:06:30 -0400

postfix (3.9.0-2) unstable; urgency=medium

  * Add debian/postfix-collate to debian/clean
  * Restart postfix via trigger after new map type packages are added.
    Closes: #1063772
  * Add d/p/reproducible to restore AUXLIBS sort missed when original patch
    was upstreamed.  Closes: #1067483

 -- Scott Kitterman <scott@kitterman.com>  Tue, 02 Apr 2024 09:08:31 -0400

postfix (3.9.0-1) unstable; urgency=medium

  [Scott Kitterman]

  * Upload to unstable

  [Christian Göttsche]

  * Update lintian overrides

 -- Scott Kitterman <scott@kitterman.com>  Mon, 18 Mar 2024 23:56:50 -0400

postfix (3.9.0-1~exp1) experimental; urgency=medium

  [Scott Kitterman]

  * Refresh patches
  * Delete d/p/Sort-list-of-AUXLIBS-for-reproducible-builds.patch,
    incorporated upstream
  * Update test-postfix.py for implementation of HELP in postfix 3.9
  * Add support for mongodb
    - New postfix-mongodb binary
    - Add libmongoc-dev to build-depends

  [Wietse Venema]

  * 3.9.0

 -- Scott Kitterman <scott@kitterman.com>  Sun, 10 Mar 2024 04:47:22 -0400
