=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: postfix
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
+Maintainer: LaMont Jones <lamont@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.postfix.org
 Build-Depends: debhelper-compat (= 13),
@@ -17,6 +16,7 @@
                libicu-dev,
                libldap-dev,
                liblmdb-dev,
+               libmongoc-dev,
                libnsl-dev | libc6-dev (<<2.37-15.1),
                libpcre2-dev,
                libpq-dev,
@@ -52,6 +52,7 @@
           postfix-ldap,
           postfix-lmdb,
           postfix-mta-sts-resolver,
+          postfix-mongodb,
           postfix-mysql,
           postfix-pcre,
           postfix-pgsql,
@@ -104,6 +105,15 @@
  This provides support for PCRE (perl compatible regular expression) maps in
  Postfix. If you plan to use PCRE maps with Postfix, you need this.
 
+Package: postfix-mongodb
+Architecture: any
+Depends: postfix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: MongoDB map support for Postfix
+ ${Description}
+ .
+ This provides support for MongoDB maps in Postfix. If you plan to use MongDB
+ maps with Postfix, you need this.
+
 Package: postfix-mysql
 Architecture: any
 Depends: postfix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
