=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	$(shell getconf LFS_CFLAGS) \
 	-DHAS_CDB \
 	-DHAS_LMDB \
+	-DHAS_MONGODB -I/usr/include/libmongoc-1.0 -I/usr/include/libbson-1.0 \
 	-DHAS_MYSQL -I/usr/include/mysql \
 	-DHAS_PGSQL -I$(shell pg_config --includedir) \
 	-DHAS_SQLITE \
@@ -73,6 +74,7 @@
 		AUXLIBS_CDB="-lcdb" \
 		AUXLIBS_LDAP="-lldap -llber" \
 		AUXLIBS_LMDB="-llmdb" \
+		AUXLIBS_MONGODB="-lmongoc-1.0 -lbson-1.0" \
 		AUXLIBS_MYSQL="-lmysqlclient" \
 		AUXLIBS_PCRE="$(shell pcre2-config --libs8)" \
 		AUXLIBS_PGSQL="-lpq" \
@@ -143,7 +145,7 @@
 		grep -v $${i} postfix-files > postfix-files.$$ ; \
 		mv postfix-files.$$ postfix-files ; \
 	done
-	for j in cdb ldap lmdb mysql pcre pgsql sqlite ; do \
+	for j in cdb ldap lmdb mongodb mysql pcre pgsql sqlite ; do \
 		mkdir -m 755 -p $(base)-$${j}/etc/postfix/postfix-files.d ; \
 		grep $${j} $(confdir)/postfix-files >> $(base)-$${j}/etc/postfix/postfix-files.d/$${j}.files ; \
 		grep -v $${j} $(confdir)/postfix-files > $(confdir)/postfix-files.$$ ; \
@@ -179,7 +181,7 @@
 	txt2man -t postfix-collate -r postfix-$(DEB_VERSION_UPSTREAM) -d '$(shell date -s @$(SOURCE_DATE_EPOCH))' -s 1 auxiliary/collate/README > ${base}/usr/share/man/man1/postfix-collate.1
 	install man/man1/*.1 ${base}/usr/share/man/man1
 	install man/man5/*.5 ${base}/usr/share/man/man5
-	for j in ldap lmdb mysql pcre pgsql sqlite ; do \
+	for j in ldap lmdb mongodb mysql pcre pgsql sqlite ; do \
 		mkdir -m 755 -p $(base)-$${j}/usr/share/man/man5 ; \
 		mv ${base}/usr/share/man/man5/$${j}_table.5 ${base}-$${j}/usr/share/man/man5 ; \
 	done
@@ -195,5 +197,3 @@
 	install -d -m 755 ${sdgendir}
 	install debian/postfix-instance-generator ${sdgendir}
 	install debian/ip-up.d ${base}/etc/ppp/ip-up.d/postfix
-	install debian/ip-down.d ${base}/etc/ppp/ip-down.d/postfix
-	install debian/ip-up.d ${base}/etc/network/if-up.d/postfix
